Apache under Linux 2.0.27 problems

Apache under Linux 2.0.27 problems

Post by Darren Youn » Thu, 02 Jan 1997 04:00:00



I have a Linux machine. I was running kernel version 1.2.13 with apache
1.1.1 and it worked fine. I just compiled and installed kernel version
2.0.27 and now in the apache error_log file I get:

[Mon Dec 23 22:43:28 1996] fcntl: F_SETLKW: Invalid argument
[Mon Dec 23 22:43:28 1996] - Error freeing accept lock. Exiting!

I put back the old kernel and apache works fine. Any ideas would be great.

P.S.
The reason I need the new kernels is to have multiple IP's on the ethernet
card for virtual domains....

Email would be greatly appreciated.

 
 
 

Apache under Linux 2.0.27 problems

Post by Alvin O » Sun, 05 Jan 1997 04:00:00


hi

I have 2.0.27 and apache_1.0.* and apache_1.1.1 and do not have
these error messages... I think you need to double check your
"File locking" options for the kernel and/or apache

same here....I have same IP for multiple domains and different ip for
with dummy driver for different domains

: I have a Linux machine. I was running kernel version 1.2.13 with apache
: 1.1.1 and it worked fine. I just compiled and installed kernel version
: 2.0.27 and now in the apache error_log file I get:

: [Mon Dec 23 22:43:28 1996] fcntl: F_SETLKW: Invalid argument
: [Mon Dec 23 22:43:28 1996] - Error freeing accept lock. Exiting!

: I put back the old kernel and apache works fine. Any ideas would be great.

: P.S.
: The reason I need the new kernels is to have multiple IP's on the ethernet
: card for virtual domains....

: Email would be greatly appreciated.

-------------------------------------------------------------------------

RING, Inc,              http://planet.fef.com    www.Linux-Consulting.com
-------------------------------------------------------------------------

 
 
 

1. Problem Compiling Apache SSL on LinuX 2.0.27

Hey All,

I try to build a https daemon with apache-1.1.1 and SSLeay-0.6.5.
But I cannot compile apache on my Linux System.

I think all patches and configs are OK, but ...

cc -c -O2 -DSTATUS -L/usr/local/msql/lib -I/usr/local/msql/include
-DLINUX -m486 -DAPACHE_SSL -I/usr/local/ssl/include -L/usr/local/ssl/lib
apache_ssl.c
apache_ssl.c: In function `SSLFixups':
apache_ssl.c:186: `SSL_TXT_NULL_WITH_MD5' undeclared (first use this
function)
apache_ssl.c:186: (Each undeclared identifier is reported only once
apache_ssl.c:186: for each function it appears in.)
apache_ssl.c:188: `SSL_TXT_RC4_128_WITH_MD5' undeclared (first use this
function)
apache_ssl.c:190: `SSL_TXT_RC4_128_EXPORT40_WITH_MD5' undeclared (first
use this function)
apache_ssl.c:192: `SSL_TXT_RC2_128_CBC_WITH_MD5' undeclared (first use
this function)
apache_ssl.c:194: `SSL_TXT_RC2_128_CBC_EXPORT40_WITH_MD5' undeclared
(first use this function)
apache_ssl.c:196: `SSL_TXT_IDEA_128_CBC_WITH_MD5' undeclared (first use
this function)
apache_ssl.c:198: `SSL_TXT_DES_64_CBC_WITH_MD5' undeclared (first use
this function)
apache_ssl.c:200: `SSL_TXT_DES_64_CBC_WITH_SHA' undeclared (first use
this function)
apache_ssl.c:202: `SSL_TXT_DES_192_EDE3_CBC_WITH_MD5' undeclared (first
use this function)
apache_ssl.c:204: `SSL_TXT_DES_192_EDE3_CBC_WITH_SHA' undeclared (first
use this function)
apache_ssl.c:206: `SSL_TXT_DES_64_CFB64_WITH_MD5_1' undeclared (first
use this function)
apache_ssl.c:208: `SSL_TXT_NULL' undeclared (first use this function)
make: *** [apache_ssl.o] Error 1

any ideas ??? please help

regards

Georg

2. RH5.2 partitioning problem

3. Help Compiling Apache 1.2.0 on Linux 2.0.27 == Help VirtualHost Cgi Directory

4. Macintosh Classic II as a terminal?

5. Apache 1.2b2 not responding to any SYNs in Linux 2.0.27!

6. Help!! Kernel panic after install of RH 6.0

7. Secure Apache 1.1.3 Server under Linux 2.0.27

8. AIX 4.3.3 and Tivoli TSM

9. Apache 1.3b3 on Linux 2.0.27 -- MMap failures

10. Apache 1.2b4 ftp proxy error on Linux 2.0.27

11. libg++.so.27 and libstc++.so.27?

12. 2.5.40 s390 (27/27): control characters.

13. Problems with HP DAT scsi on AHA 2920 under linux 2.0.27